import { useState, useEffect } from 'react';

export function useIsMobile() {
  const [isMobile, setIsMobile] = useState(false);

  useEffect(() => {
    // Initial check
    checkMobile();
    
    // Add event listener for window resize
    window.addEventListener('resize', checkMobile);
    
    // Cleanup function
    return () => window.removeEventListener('resize', checkMobile);
  }, []);

  function checkMobile() {
    // Consider 768px as the breakpoint for mobile devices
    setIsMobile(window.innerWidth < 768);
  }

  return isMobile;
}